# eric6.Helpviewer.UrlBar.SslLabel

Module implementing the label to show some SSL info.

### Global Attributes

None

### Classes

SslLabel | Class implementing the label to show some SSL info.

### Functions

None

## SslLabel

Class implementing the label to show some SSL info.

### Derived from

QLabel

### Class Attributes

nokStyle
okStyle

### Class Methods

None

### Methods

SslLabel | Constructor
mouseDoubleClickEvent | Protected method to handle mouse double click events.
mouseReleaseEvent | Protected method to handle mouse release events.
setValidity | Public method to set the validity indication.

### Static Methods

None

#### SslLabel (Constructor)

SslLabel(parent=None)

Constructor

parent
  reference to the parent widget (QWidget)

#### SslLabel.mouseDoubleClickEvent

mouseDoubleClickEvent(evt)

Protected method to handle mouse double click events.

evt
  reference to the mouse event (QMouseEvent)

#### SslLabel.mouseReleaseEvent

mouseReleaseEvent(evt)

Protected method to handle mouse release events.

evt
  reference to the mouse event (QMouseEvent)

#### SslLabel.setValidity

setValidity(valid)

Public method to set the validity indication.

valid
  flag indicating the certificate validity (boolean)

Up